commit: dfd78519f7352ca067d185e47ea68103751c2a63
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Dec 16 20:28:32 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Dec 17 00:18:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfd78519
dev-python/tikzplotlib: version bump 0.9.6
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-python/tikzplotlib/Manifest | 1 +
dev-python/tikzplotlib/tikzplotlib-0.9.6.ebuild | 60 +++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-python/tikzplotlib/Manifest b/dev-python/tikzplotlib/Manifest
index 9f399a9f3e4..f65d2255fe5 100644
--- a/dev-python/tikzplotlib/Manifest
+++ b/dev-python/tikzplotlib/Manifest
@@ -1 +1,2 @@
DIST tikzplotlib-0.9.4.tar.gz 588518 BLAKE2B
3f6ec8b9149ef86e8a0dd551d4aeca4f676df3ca86de8bb9bfbf2abed81afab50adef99752970a40f174258f4d14c245366c5159f241d2cd10f7cebdfd6bbbfb
SHA512
0d654dbecc473f5bc20dc128ad55852c3787ddd50cf730ed57b25a25e6a55e79bfd451eb28188d75ac6b61a53a6a6e244bef2ca366dcb636e0d325c74b32d1cd
+DIST tikzplotlib-0.9.6.tar.gz 589081 BLAKE2B
aacd1374caed3dc86e6a93479b7ed0d0a79a2f96acc3817e630860794dc2f77c0d908d5765ebd500160d8c459b51131645f3633a084627b55aa2f26f5de87add
SHA512
447dcd9da8d5cebf68b9f1a1f06d82370d5adf731524ea17c4f570bfd76dfce06e65f92df0ead732a02b42d9bdf6d0fde9e004bff50204cc5e33cca6c014a257
diff --git a/dev-python/tikzplotlib/tikzplotlib-0.9.6.ebuild
b/dev-python/tikzplotlib/tikzplotlib-0.9.6.ebuild
new file mode 100644
index 00000000000..c6df920586b
--- /dev/null
+++ b/dev-python/tikzplotlib/tikzplotlib-0.9.6.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Convert matplotlib figures into TikZ/PGFPlots"
+HOMEPAGE="https://github.com/nschloe/tikzplotlib"
+SRC_URI="https://github.com/nschloe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-text/texlive[extra]
+ $( python_gen_cond_dep \
+ 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_7 )
+ dev-python/matplotlib[latex,${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test? (
+ dev-python/exdown[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/mock
+
+python_prepare_all() {
+ # setup.py was removed in commit
f04323cfa575caf8a25a9236f55fe6baf1a33b20
+ # for some reason, DISTUTULS_USE_SETUPTOOLS="pyproject.toml" is not
working
+ # it complains about file not found, setup.cfg does exist
+
+ cat > setup.py <<EOF || die
+from setuptools import setup
+
+if __name__ == "__main__":
+ setup()
+EOF
+
+ # Lots of TeX errors
+ rm test/test_patches.py || die
+ rm test/test_context.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x MPLBACKEND=Agg
+ virtx pytest -vv
+}